% Extract reference signals
function C02ExtractReference(listImages,listReference,i)

listImagesT=[listImages{i},'\'];

jsonData = jsondecode(fileread(listReference{i}));

for j=1:numel(jsonData.x_FullPackage)
    refRaw(j)=jsonData.x_FullPackage(j).Value.waveform;
    ns = uint64(jsonData.x_FullPackage(j).Timestamp);
    wholeSecs = floor(double(ns)/1e9);
    fracSecs = double(ns - uint64(wholeSecs)*1e9)/1e9;
    tPPG(j) = datetime(wholeSecs,'ConvertFrom','posixTime','Format','HH:mm:ss.SSSSSSSSS') + seconds(fracSecs);
end
tPPGsec=seconds(tPPG-tPPG(1));
disp(i)
save(strcat(listImagesT,'tPPGsec.mat'),'tPPGsec')
save(strcat(listImagesT,'refRaw.mat'),'refRaw')
clear tPPG tPPGsec

end