function [rPPGF,refF,locsF,peaksF,locsRefF,peaksRefF] = ...
    C08ExtractPulseSignalInterval(interval,rPPG,locsrPPG,peaksrPPG,ref,locsRef,peaksRef,FsHRV)

rPPGTime=(0:length(rPPG)-1)/FsHRV;

if strcmp(interval,'10s')
    rPPGStartIndex=3;
    rPPGStart=locsrPPG(rPPGStartIndex);
    intervalL=10;
elseif strcmp(interval,'10m')
    approxStartTime=rPPGTime(floor(length(rPPGTime)*(1/2)));
    rPPGStartIndex=find((locsrPPG-approxStartTime)>0,1);
    rPPGStart=locsrPPG(rPPGStartIndex);
    intervalL=10;
elseif strcmp(interval,'10e')
    approxStartTime=rPPGTime(floor(length(rPPGTime)*(4/5)));
    rPPGStartIndex=find((locsrPPG-approxStartTime)>0,1);
    rPPGStart=locsrPPG(rPPGStartIndex);
    intervalL=10;
elseif strcmp(interval,'30s')
    rPPGStartIndex=3;
    rPPGStart=locsrPPG(rPPGStartIndex);
    intervalL=30;
elseif strcmp(interval,'30e')
    approxStartTime=rPPGTime(floor(length(rPPGTime)*(1/2)));
    rPPGStartIndex=find((locsrPPG-approxStartTime)>0,1);
    rPPGStart=locsrPPG(rPPGStartIndex);
    intervalL=30;
elseif strcmp(interval,'60')
    rPPGStartIndex=3;
    rPPGStart=locsrPPG(rPPGStartIndex);
    intervalL=60;
else
    fprintf('Error','\n')
end

rPPGEndF=rPPGStart+intervalL;
rPPGF=rPPG(find(abs(rPPGTime-rPPGStart)<10^-6):find(abs(rPPGTime-rPPGEndF)<10^-6));
locsF=locsrPPG(rPPGStartIndex:find(locsrPPG-rPPGEndF>0,1)-1)-rPPGStart;
peaksF=peaksrPPG(rPPGStartIndex:find(locsrPPG-rPPGEndF>0,1)-1);

[~,refStartIndex] = find((locsRef-rPPGStart)>0,1);
refStart=locsRef(refStartIndex);
refEndF=refStart+intervalL;
refF=ref(find(abs(rPPGTime-refStart)<10^-6):find(abs(rPPGTime-refEndF)<10^-6));
locsRefF=locsRef(refStartIndex:find(locsRef-refEndF>0,1)-1)-refStart;
peaksRefF=peaksRef(refStartIndex:find(locsRef-refEndF>0,1)-1);

% refEndF=rPPGStart+intervalL+(locsRef(indexrefStart)-rPPGStart)
% refF=ref(find(abs(rPPGTime-refStart)<10^-6):find(abs(rPPGTime-refEndF)<10^-6))
% locsrefF=locsRef(indexrefStart:find(locsRef-refEndF>0,1)-1)-rPPGStart;
% peaksrefF=peaksRef(indexrefStart:find(locsRef-refEndF>0,1)-1);

end