function [refFilt,refInterp,refSNR]=C04ReferenceProcessing(listImages,FsRef,FsHRV)

refFilt=cell(1,length(listImages));
refInterp=cell(1,length(listImages));
refSNR=cell(1,length(listImages));

for i=1:length(listImages)
    listImagesT=[listImages{i},'\'];
    load(strcat(listImagesT,'refRaw.mat'));
    load(strcat(listImagesT,'tPPGsec.mat'));
    [bRef,aRef] = butter(1,[40/60 3]/(FsRef/2));
    refFilt{i}=filtfilt(bRef,aRef,refRaw);
    refInterp{i}=resample(refFilt{i},tPPGsec,FsHRV,'spline');
    disp(i)
end

save(strcat('D:\MatlabKoda\02-testDrugiClanek\rezultati\','refInterp.mat'),'refInterp')

end