% calculate group values mean

function [meanpNN50refC,stdpNN50refC,...
    meanpNN50rPPGC,stdpNN50rPPGC,...
    meanSDNNrefC,stdSDNNrefC,...
    meanSDNNrPPGC,stdSDNNrPPGC,...
    meanRMSSDrefC,stdRMSSDrefC,...
    meanRMSSDrPPGC,stdRMSSDrPPGC]...
    =meanGroupValues(pNN50refC,pNN50rPPGC,SDNNrefC,SDNNrPPGC,RMSSDrefC,RMSSDrPPGC)

% calculate mean SDNN and RMSSD
for i=1:size(SDNNrefC,1)
    for j=1:size(SDNNrefC,2)
        meanSDNNrefC(i,j)=mean(SDNNrefC{i,j});
        stdSDNNrefC(i,j)=std(SDNNrefC{i,j});
        meanSDNNrPPGC(i,j)=mean(SDNNrPPGC{i,j});
        stdSDNNrPPGC(i,j)=std(SDNNrPPGC{i,j});
        meanRMSSDrefC(i,j)=mean(RMSSDrefC{i,j});
        stdRMSSDrefC(i,j)=std(RMSSDrefC{i,j});
        meanRMSSDrPPGC(i,j)=mean(RMSSDrPPGC{i,j});
        stdRMSSDrPPGC(i,j)=std(RMSSDrPPGC{i,j});
        meanpNN50refC(i,j)=mean(pNN50refC{i,j});
        stdpNN50refC(i,j)=std(pNN50refC{i,j});
        meanpNN50rPPGC(i,j)=mean(pNN50rPPGC{i,j});
        stdpNN50rPPGC(i,j)=std(pNN50rPPGC{i,j});
    end
end

end